org.codehaus.plexus.metadata

## Interface ComponentDescriptorWriter

All Known Implementing Classes:
  DefaultComponentDescriptorWriter

    public interface ComponentDescriptorWriter

Author:
  Kenney Westerhof

### Method Summary

Methods
`void` `writeDescriptorSet(java.io.Writer writer, ComponentSetDescriptor componentSetDescriptor, boolean containerDescriptor)`

### Method Detail

#### writeDescriptorSet

    void writeDescriptorSet(java.io.Writer writer,
                          ComponentSetDescriptor componentSetDescriptor,
                          boolean containerDescriptor)
                            throws ComponentDescriptorWriteException,
                                   java.io.IOException

Throws:
  `ComponentDescriptorWriteException`
  `java.io.IOException`